summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--graphics/wpclipart/README10
-rw-r--r--graphics/wpclipart/slack-desc11
-rw-r--r--graphics/wpclipart/wpclipart.SlackBuild57
-rw-r--r--graphics/wpclipart/wpclipart.info8
4 files changed, 86 insertions, 0 deletions
diff --git a/graphics/wpclipart/README b/graphics/wpclipart/README
new file mode 100644
index 0000000000..9fb3a2a206
--- /dev/null
+++ b/graphics/wpclipart/README
@@ -0,0 +1,10 @@
+WPClipart - Public Domain Clipart
+WP Clipart is an attempt to make a useful clipart package of public
+domain images for use in word processors. The collection contains
+non-transparent PNG images, scaled down images, midtones expanded
+for inkjet print quality, etc. The images found here can be used
+for any purpose without any conditions.
+
+The images install to /usr/share/wpclipart-$VERSION -- if there is
+a better location, someone enlighten us :)
+
diff --git a/graphics/wpclipart/slack-desc b/graphics/wpclipart/slack-desc
new file mode 100644
index 0000000000..a1b0ffb479
--- /dev/null
+++ b/graphics/wpclipart/slack-desc
@@ -0,0 +1,11 @@
+wpclipart: WPClipart - Public Domain Clipart
+wpclipart:
+wpclipart: WP Clipart is an attempt to make a useful clipart package of public
+wpclipart: domain images for use in word processors. The collection contains
+wpclipart: non-transparent PNG images, scaled down images, midtones expanded
+wpclipart: for inkjet print quality, etc. The images found here can be used
+wpclipart: for any purpose without any conditions.
+wpclipart:
+wpclipart: Homepage: http://www.wpclipart.com/index.html
+wpclipart: Legal Information: http://www.wpclipart.com/legal.html
+wpclipart:
diff --git a/graphics/wpclipart/wpclipart.SlackBuild b/graphics/wpclipart/wpclipart.SlackBuild
new file mode 100644
index 0000000000..2ede7262a4
--- /dev/null
+++ b/graphics/wpclipart/wpclipart.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for wpclipart
+
+# Copyright 2006 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wpclipart
+VERSION=2.4
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Bail out if anything goes wrong
+set -e
+
+mkdir -p $PKG/usr/share/
+cd $PKG/usr/share
+
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find . -type f -exec chmod 644 {} \;
+
+# No thanks, we don't need the viewer
+rm -rf $PRGNAM-$VERSION/viewer
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PRGNAM-$VERSION/LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/wpclipart/wpclipart.info b/graphics/wpclipart/wpclipart.info
new file mode 100644
index 0000000000..eaa98fbd0a
--- /dev/null
+++ b/graphics/wpclipart/wpclipart.info
@@ -0,0 +1,8 @@
+PRGNAM="wpclipart"
+VERSION="2.4"
+HOMEPAGE="http://www.wpclipart.com/index.html"
+DOWNLOAD="http://www.ibiblio.org/abiclipart/downloads/wpclipart-2.4.tar.bz2"
+MD5SUM="72f095d2b76ec5ff85ae4ec89e2977e7"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="elohim"